# class MathML::Table

### Public Class Methods

new() click to toggle source
Calls superclass method

        # File lib/math_ml/element.rb
    191 def initialize
    192   super('mtable')
    193 end

### Public Instance Methods

aligns=(a) click to toggle source

        # File lib/math_ml/element.rb
    211 def aligns=(a)
    212   set_align_attribute('columnalign', a, Align::CENTER)
    213 end

hlines=(a) click to toggle source

        # File lib/math_ml/element.rb
    219 def hlines=(a)
    220   set_align_attribute('rowlines', a, Line::NONE)
    221 end

set_align_attribute(name, a, default) click to toggle source

        # File lib/math_ml/element.rb
    195 def set_align_attribute(name, a, default)
    196   if a.is_a?(Array) && a.size > 0
    197     value = ''
    198     a.each do |i|
    199       value << (' ' + i)
    200     end
    201     if value =~ /^( #{default})*$/
    202       @attributes.delete(name)
    203     else
    204       @attributes[name] = value.strip
    205     end
    206   else
    207     @attributes.delete(name)
    208   end
    209 end

vlines=(a) click to toggle source

        # File lib/math_ml/element.rb
    215 def vlines=(a)
    216   set_align_attribute('columnlines', a, Line::NONE)
    217 end